﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500
DATE:                  2010-11-29 11:16:52
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       46
NUMBER OF LINES:       736
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  JMPL         DCV                       PSUBI("DCV Accuracy")
  1.004  JMPL         DC_GAIN                   PSUBI("DC Gain")
  1.005  JMPL         DC_OFFSET                 PSUBI("DC Offset")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# ========= Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500 =======

  2.001  LABEL        DCV

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DCV MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  HEAD         DCV MEASUREMENT ACCURACY (CH [V @Chan])

  2.009  RSLT         =
  2.010  HEAD         -2{10 mV/div}, Positive
  2.011  TARGET       -p
  2.012  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
  2.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  2.014  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.015  IEEE2        CH[V @Chan]:SCA 10E-3;POS -5;OFFS 0.45
  2.016  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
  2.017  9500         530.00mV                                          S  L
  2.018  WAIT         -t 20 Settling...
  2.019  TARGET       -m
  2.020  IEEE2        MEASU:MEAS1:VAL?[I]
  2.021  MATH         MEM = MEM * 1E+3
  2.022  MEMCX        530.00mV       5.25U

  3.001  HEAD         -2 10 mV/div, Negative
  3.002  TARGET       -p
  3.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.45
  3.004  9500         -530.00mV                                         S  L
  3.005  WAIT         -t 20 Settling...
  3.006  TARGET       -m
  3.007  IEEE2        MEASU:MEAS1:VAL?[I]
  3.008  MATH         MEM = MEM * 1E+3
  3.009  MEMCX        -530.00mV      5.25U

  4.001  RSLT         =
  4.002  HEAD         -2{20 mV/div}, Positive
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:SCA 20E-3;POS -5;OFFS 0.4
  4.005  9500         560.00mV                                          S  L
  4.006  WAIT         -t 25 Settling...
  4.007  TARGET       -m
  4.008  IEEE2        MEASU:MEAS1:VAL?[I]
  4.009  MATH         MEM = MEM * 1E+3
  4.010  MEMCX        560.00mV       7.25U

  5.001  HEAD         -2 20 mV/div, Negative
  5.002  TARGET       -p
  5.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.4
  5.004  9500         -560.00mV                                         S  L
  5.005  WAIT         -t 25 Settling...
  5.006  TARGET       -m
  5.007  IEEE2        MEASU:MEAS1:VAL?[I]
  5.008  MATH         MEM = MEM * 1E+3
  5.009  MEMCX        -560.00mV      7.25U

  6.001  RSLT         =
  6.002  HEAD         -2{50 mV/div}, Positive
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:SCA 50E-3;POS -5;OFFS 0.25
  6.005  9500         650.00mV                                          S  L
  6.006  WAIT         -t 25 Settling...
  6.007  TARGET       -m
  6.008  IEEE2        MEASU:MEAS1:VAL?[I]
  6.009  MATH         MEM = MEM * 1E+3
  6.010  MEMCX        650.00mV       13.25U

  7.001  HEAD         -2 50 mV/div, Negative
  7.002  TARGET       -p
  7.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.25
  7.004  9500         -650.00mV                                         S  L
  7.005  WAIT         -t 25 Settling...
  7.006  TARGET       -m
  7.007  IEEE2        MEASU:MEAS1:VAL?[I]
  7.008  MATH         MEM = MEM * 1E+3
  7.009  MEMCX        -650.00mV      13.25U

  8.001  RSLT         =
  8.002  HEAD         -2{100 mV/div}, Positive
  8.003  TARGET       -p
  8.004  IEEE2        CH[V @Chan]:SCA 100E-3;POS -5;OFFS 2
  8.005  9500         2.800V                                            S  L
  8.006  WAIT         -t 20 Settling...
  8.007  TARGET       -m
  8.008  IEEE2        MEASU:MEAS1:VAL?[I]
  8.009  MEMCX        2.800V         0.104U

  9.001  HEAD         -2 100 mV/div, Negative
  9.002  TARGET       -p
  9.003  IEEE2        CH[V @Chan]:POS 5;OFFS -2
  9.004  9500         -2.800V                                           S  L
  9.005  WAIT         -t 20 Settling...
  9.006  TARGET       -m
  9.007  IEEE2        MEASU:MEAS1:VAL?[I]
  9.008  MEMCX        -2.800V        0.104U

 10.001  RSLT         =
 10.002  HEAD         -2{250 mV/div}, Positive
 10.003  TARGET       -p
 10.004  IEEE2        CH[V @Chan]:SCA 250E-3;POS -5;OFFS 1.25
 10.005  9500         3.130V                                            S  L
 10.006  WAIT         -t 20 Settling...
 10.007  TARGET       -m
 10.008  IEEE2        MEASU:MEAS1:VAL?[I]
 10.009  TOL          -0.136U +0.126U
 10.010  MEMCX        3.130V         TOL

 11.001  HEAD         -2 250 mV/div, Negative
 11.002  TARGET       -p
 11.003  IEEE2        CH[V @Chan]:POS 5;OFFS -1.25
 11.004  9500         -3.130V                                           S  L
 11.005  WAIT         -t 20 Settling...
 11.006  TARGET       -m
 11.007  IEEE2        MEASU:MEAS1:VAL?[I]
 11.008  MEMCX        -3.130V        TOL

 12.001  RSLT         =
 12.002  HEAD         -2{500 mV/div}, Positive
 12.003  TARGET       -p
 12.004  IEEE2        CH[V @Chan]:SCA 500E-3;POS -5;OFFS 0
 12.005  9500         3.500V                                            S  L
 12.006  WAIT         -t 20 Settling...
 12.007  TARGET       -m
 12.008  IEEE2        MEASU:MEAS1:VAL?[I]
 12.009  MEMCX        3.500V         0.174U

 13.001  HEAD         -2 500 mV/div, Negative
 13.002  TARGET       -p
 13.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0
 13.004  9500         -3.500V                                           S  L
 13.005  WAIT         -t 20 Settling...
 13.006  TARGET       -m
 13.007  IEEE2        MEASU:MEAS1:VAL?[I]
 13.008  MEMCX        -3.500V        0.174U

 14.001  HEAD         -2
 14.002  HEAD
 14.003  9500         *                                                 S
 14.004  END

 14.005  EVAL   Increment step number

# ============== Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500 =========

 15.001  LABEL        DC_GAIN

 15.002  IF           @Chan == 1
 15.003  RSLT         =
 15.004  RSLT         =DC GAIN ACCURACY
 15.005  ENDIF

 15.006  RSLT         =
 15.007  RSLT         =Channel [V @Chan]
 15.008  HEAD         DC GAIN ACCURACY (CH [V @Chan])

 15.009  RSLT         =
 15.010  HEAD         -2{10 mV/div}, Position 0 Div, Offset 0 V
 15.011  TARGET       -p
 15.012  MATH         Conf9500 = CONF("Datron 9500")
 15.013  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
 15.014  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 15.015  IEEE2        ACQ:MODE AVE;NUMAV 16
 15.016  IEEE2        CH[V @Chan]:SCA 10E-3;POS 0;OFFS 0
 15.017  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE MEAN;STATE ON
 15.018  TARGET       -m
 15.019  9500         38.0mV                                            S  L
 15.020  MATH         PosAcc = REFACC()
 15.021  WAIT         -t 20 DUT Settling...
 15.022  IEEE2        MEASU:MEAS1:VAL?[I]
 15.023  MATH         PosValue = MEM * 1E+3
 15.024  9500         -38.0mV                                           S  L
 15.025  MATH         NegAcc = REFACC()
 15.026  WAIT         -t 20 DUT Settling...
 15.027  IEEE2        MEASU:MEAS1:VAL?[I]
 15.028  MATH         NegValue = MEM * 1E+3
# RSS uncertainty components and expand to 95% confidence level.
 15.029  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
# Setup system accuracy.
 15.030  MATH         L[1] = L[1] * 1E+3
 15.031  ACC          76.0mV         L1U
 15.032  MATH         MEM = PosValue - NegValue
 15.033  MEMCX        76.0mV         1.52U

 16.001  HEAD         -2 10 mV/div, Position -5 Divs, Offset 0.45 V
 16.002  TARGET       -p
 16.003  IEEE2        CH[V @Chan]:POS -5;OFFS +0.45
 16.004  TARGET       -m
 16.005  9500         538.00mV                                          S  L
 16.006  MATH         PosAcc = REFACC()
 16.007  WAIT         -t 20 Settling...
 16.008  IEEE2        MEASU:MEAS1:VAL?[I]
 16.009  MATH         PosValue = MEM * 1E+3
 16.010  9500         462.0mV                                           S  L
 16.011  MATH         NegAcc = REFACC()
 16.012  WAIT         -t 20 DUT Settling...
 16.013  IEEE2        MEASU:MEAS1:VAL?[I]
 16.014  MATH         NegValue = MEM * 1E+3
 16.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 16.016  MATH         L[1] = L[1] * 1E+3
 16.017  ACC          76.0mV         L1U
 16.018  MATH         MEM = PosValue - NegValue
 16.019  MEMCX        76.0mV         1.52U

 17.001  HEAD         -2 10 mV/div, Position 5 Divs, Offset -0.45 V
 17.002  TARGET       -p
 17.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.45
 17.004  TARGET       -m
 17.005  9500         -462.00mV                                         S  L
 17.006  MATH         PosAcc = REFACC()
 17.007  WAIT         -t 20 Settling...
 17.008  IEEE2        MEASU:MEAS1:VAL?[I]
 17.009  MATH         PosValue = MEM * 1E+3
 17.010  9500         -538.0mV                                          S  L
 17.011  MATH         NegAcc = REFACC()
 17.012  WAIT         -t 20 DUT Settling...
 17.013  IEEE2        MEASU:MEAS1:VAL?[I]
 17.014  MATH         NegValue = MEM * 1E+3
 17.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 17.016  MATH         L[1] = L[1] * 1E+3
 17.017  ACC          76.0mV         L1U
 17.018  MATH         MEM = PosValue - NegValue
 17.019  MEMCX        76.0mV         1.52U

 18.001  RSLT         =
 18.002  HEAD         -2{20 mV/div}, Position 0 Div, Offset 0 V
 18.003  TARGET       -p
 18.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 20E-3
 18.005  TARGET       -m
 18.006  9500         76.000mV                                          S  L
 18.007  MATH         PosAcc = REFACC()
 18.008  WAIT         -t 20 Settling...
 18.009  IEEE2        MEASU:MEAS1:VAL?[I]
 18.010  MATH         PosValue = MEM * 1E+3
 18.011  9500         -76.000mV                                         S  L
 18.012  MATH         NegAcc = REFACC()
 18.013  WAIT         -t 20 DUT Settling...
 18.014  IEEE2        MEASU:MEAS1:VAL?[I]
 18.015  MATH         NegValue = MEM * 1E+3
 18.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 18.017  MATH         L[1] = L[1] * 1E+3
 18.018  ACC          152.000mV      L1U
 18.019  MATH         MEM = PosValue - NegValue
 18.020  MEMCX        152.0mV        3.040U

 19.001  HEAD         -2 20 mV/div, Position -5 Divs, Offset 0.4 V
 19.002  TARGET       -p
 19.003  IEEE2        CH[V @Chan]:POS -5;OFFS 0.4
 19.004  TARGET       -m
 19.005  9500         576.0mV                                           S  L
 19.006  MATH         PosAcc = REFACC()
 19.007  WAIT         -t 20 Settling...
 19.008  IEEE2        MEASU:MEAS1:VAL?[I]
 19.009  MATH         PosValue = MEM * 1E+3
 19.010  9500         424.0mV                                           S  L
 19.011  MATH         NegAcc = REFACC()
 19.012  WAIT         -t 20 DUT Settling...
 19.013  IEEE2        MEASU:MEAS1:VAL?[I]
 19.014  MATH         NegValue = MEM * 1E+3
 19.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 19.016  MATH         L[1] = L[1] * 1E+3
 19.017  ACC          152.000mV      L1U
 19.018  MATH         MEM = PosValue - NegValue
 19.019  MEMCX        152.0mV        3.040U

 20.001  HEAD         -2 20 mV/div, Position 5 Divs, Offset -0.4 V
 20.002  TARGET       -p
 20.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.4
 20.004  TARGET       -m
 20.005  9500         -424.0mV                                          S  L
 20.006  MATH         PosAcc = REFACC()
 20.007  WAIT         -t 20 Settling...
 20.008  IEEE2        MEASU:MEAS1:VAL?[I]
 20.009  MATH         PosValue = MEM * 1E+3
 20.010  9500         -576.0mV                                          S  L
 20.011  MATH         NegAcc = REFACC()
 20.012  WAIT         -t 20 DUT Settling...
 20.013  IEEE2        MEASU:MEAS1:VAL?[I]
 20.014  MATH         NegValue = MEM * 1E+3
 20.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 20.016  MATH         L[1] = L[1] * 1E+3
 20.017  ACC          152.000mV      L1U
 20.018  MATH         MEM = PosValue - NegValue
 20.019  MEMCX        152.0mV        3.040U

 21.001  RSLT         =
 21.002  HEAD         -2{50 mV/div}, Position 0 Div, Offset 0 V
 21.003  TARGET       -p
 21.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 50E-3
 21.005  TARGET       -m
 21.006  9500         190.00mV                                          S  L
 21.007  MATH         PosAcc = REFACC()
 21.008  WAIT         -t 20 Settling...
 21.009  IEEE2        MEASU:MEAS1:VAL?[I]
 21.010  MATH         PosValue = MEM * 1E+3
 21.011  9500         -190.00mV                                         S  L
 21.012  MATH         NegAcc = REFACC()
 21.013  WAIT         -t 20 DUT Settling...
 21.014  IEEE2        MEASU:MEAS1:VAL?[I]
 21.015  MATH         NegValue = MEM * 1E+3
 21.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 21.017  MATH         L[1] = L[1] * 1E+3
 21.018  ACC          380.00mV       L1U
 21.019  MATH         MEM = PosValue - NegValue
 21.020  MEMCX        380.00mV       7.60U

 22.001  HEAD         -2 50 mV/div, Position -5 Divs, Offset 0.25 V
 22.002  TARGET       -p
 22.003  IEEE2        CH[V @Chan]:POS -5;OFFS 0.25
 22.004  TARGET       -m
 22.005  9500         690.00mV                                          S  L
 22.006  MATH         PosAcc = REFACC()
 22.007  WAIT         -t 20 Settling...
 22.008  IEEE2        MEASU:MEAS1:VAL?[I]
 22.009  MATH         PosValue = MEM * 1E+3
 22.010  9500         310.00mV                                          S  L
 22.011  MATH         NegAcc = REFACC()
 22.012  WAIT         -t 20 DUT Settling...
 22.013  IEEE2        MEASU:MEAS1:VAL?[I]
 22.014  MATH         NegValue = MEM * 1E+3
 22.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 22.016  MATH         L[1] = L[1] * 1E+3
 22.017  ACC          380.00mV       L1U
 22.018  MATH         MEM = PosValue - NegValue
 22.019  MEMCX        380.00mV       7.60U

 23.001  HEAD         -2 50 mV/div, Position 5 Divs, Offset -0.25 V
 23.002  TARGET       -p
 23.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.25
 23.004  TARGET       -m
 23.005  9500         -310.00mV                                         S  L
 23.006  MATH         PosAcc = REFACC()
 23.007  WAIT         -t 20 Settling...
 23.008  IEEE2        MEASU:MEAS1:VAL?[I]
 23.009  MATH         PosValue = MEM * 1E+3
 23.010  9500         -690.00mV                                         S  L
 23.011  MATH         NegAcc = REFACC()
 23.012  WAIT         -t 20 DUT Settling...
 23.013  IEEE2        MEASU:MEAS1:VAL?[I]
 23.014  MATH         NegValue = MEM * 1E+3
 23.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 23.016  MATH         L[1] = L[1] * 1E+3
 23.017  ACC          380.00mV       L1U
 23.018  MATH         MEM = PosValue - NegValue
 23.019  MEMCX        380.00mV       7.60U

 24.001  RSLT         =
 24.002  HEAD         -2{100 mV/div}, Position 0 Div, Offset 0 V
 24.003  TARGET       -p
 24.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 100E-3
 24.005  TARGET       -m
 24.006  9500         380.00mV                                          S  L
 24.007  MATH         PosAcc = REFACC()
 24.008  WAIT         -t 20 Settling...
 24.009  IEEE2        MEASU:MEAS1:VAL?[I]
 24.010  MATH         PosValue = MEM * 1E+3
 24.011  9500         -380.00mV                                         S  L
 24.012  MATH         NegAcc = REFACC()
 24.013  WAIT         -t 20 DUT Settling...
 24.014  IEEE2        MEASU:MEAS1:VAL?[I]
 24.015  MATH         NegValue = MEM * 1E+3
 24.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 24.017  MATH         L[1] = L[1] * 1E+3
 24.018  ACC          760.00mV       L1U
 24.019  MATH         MEM = PosValue - NegValue
 24.020  MEMCX        760.00mV       15.20U

 25.001  HEAD         -2 100 mV/div, Position -5 Divs, Offset 2 V
 25.002  TARGET       -p
 25.003  IEEE2        CH[V @Chan]:POS -5;OFFS 2
 25.004  TARGET       -m
 25.005  9500         2.88V                                             S  L
 25.006  MATH         PosAcc = REFACC()
 25.007  WAIT         -t 20 Settling...
 25.008  IEEE2        MEASU:MEAS1:VAL?[I]
 25.009  MATH         PosValue = MEM * 1E+3
 25.010  9500         2.12V                                             S  L
 25.011  MATH         NegAcc = REFACC()
 25.012  WAIT         -t 20 DUT Settling...
 25.013  IEEE2        MEASU:MEAS1:VAL?[I]
 25.014  MATH         NegValue = MEM * 1E+3
 25.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 25.016  MATH         L[1] = L[1] * 1E+3
 25.017  ACC          760.00mV       L1U
 25.018  MATH         MEM = PosValue - NegValue
 25.019  MEMCX        760.00mV       15.20U

 26.001  HEAD         -2 100 mV/div, Position 5 Divs, Offset -2 V
 26.002  TARGET       -p
 26.003  IEEE2        CH[V @Chan]:POS 5;OFFS -2
 26.004  TARGET       -m
 26.005  9500         -2.12V                                            S  L
 26.006  MATH         PosAcc = REFACC()
 26.007  WAIT         -t 20 Settling...
 26.008  IEEE2        MEASU:MEAS1:VAL?[I]
 26.009  MATH         PosValue = MEM * 1E+3
 26.010  9500         -2.88V                                            S  L
 26.011  MATH         NegAcc = REFACC()
 26.012  WAIT         -t 20 DUT Settling...
 26.013  IEEE2        MEASU:MEAS1:VAL?[I]
 26.014  MATH         NegValue = MEM * 1E+3
 26.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 26.016  MATH         L[1] = L[1] * 1E+3
 26.017  ACC          760.00mV       L1U
 26.018  MATH         MEM = PosValue - NegValue
 26.019  MEMCX        760.00mV       15.20U

 27.001  RSLT         =
 27.002  HEAD         -2{250 mV/div}, Position 0 Div, Offset 0 V
 27.003  TARGET       -p
 27.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 250E-3
 27.005  TARGET       -m
 27.006  9500         950.00mV                                          S  L
 27.007  MATH         PosAcc = REFACC()
 27.008  WAIT         -t 20 Settling...
 27.009  IEEE2        MEASU:MEAS1:VAL?[I]
 27.010  MATH         PosValue = MEM
 27.011  9500         -950.00mV                                         S  L
 27.012  MATH         NegAcc = REFACC()
 27.013  WAIT         -t 20 DUT Settling...
 27.014  IEEE2        MEASU:MEAS1:VAL?[I]
 27.015  MATH         NegValue = MEM
 27.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 27.017  ACC          1.900V         L1U
 27.018  MATH         MEM = PosValue - NegValue
 27.019  MEMCX        1.900V         0.038U

 28.001  HEAD         -2 250 mV/div, Position -5 Divs, Offset 1.25 V
 28.002  TARGET       -p
 28.003  IEEE2        CH[V @Chan]:POS -5;OFFS 1.25
 28.004  TARGET       -m
 28.005  9500         3.45V                                             S  L
 28.006  MATH         PosAcc = REFACC()
 28.007  WAIT         -t 20 Settling...
 28.008  IEEE2        MEASU:MEAS1:VAL?[I]
 28.009  MATH         PosValue = MEM
 28.010  9500         1.55V                                             S  L
 28.011  MATH         NegAcc = REFACC()
 28.012  WAIT         -t 20 DUT Settling...
 28.013  IEEE2        MEASU:MEAS1:VAL?[I]
 28.014  MATH         NegValue = MEM
 28.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 28.016  ACC          1.900V         L1U
 28.017  MATH         MEM = PosValue - NegValue
 28.018  MEMCX        1.900V         0.038U

 29.001  HEAD         -2 250 mV/div, Position 5 Divs, Offset -1.25 V
 29.002  TARGET       -p
 29.003  IEEE2        CH[V @Chan]:POS 5;OFFS -1.25
 29.004  TARGET       -m
 29.005  9500         -1.55V                                            S  L
 29.006  MATH         PosAcc = REFACC()
 29.007  WAIT         -t 20 Settling...
 29.008  IEEE2        MEASU:MEAS1:VAL?[I]
 29.009  MATH         PosValue = MEM
 29.010  9500         -3.45V                                            S  L
 29.011  MATH         NegAcc = REFACC()
 29.012  WAIT         -t 20 DUT Settling...
 29.013  IEEE2        MEASU:MEAS1:VAL?[I]
 29.014  MATH         NegValue = MEM
 29.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 29.016  ACC          1.900V         L1U
 29.017  MATH         MEM = PosValue - NegValue
 29.018  MEMCX        1.900V         0.038U

 30.001  RSLT         =
 30.002  HEAD         -2{500 mV/div}, Position 0 Div, Offset 0 V
 30.003  TARGET       -p
 30.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 500E-3
 30.005  TARGET       -m
 30.006  9500         1.90V                                             S  L
 30.007  MATH         PosAcc = REFACC()
 30.008  WAIT         -t 20 Settling...
 30.009  IEEE2        MEASU:MEAS1:VAL?[I]
 30.010  MATH         PosValue = MEM
 30.011  9500         -1.90V                                            S  L
 30.012  MATH         NegAcc = REFACC()
 30.013  WAIT         -t 20 DUT Settling...
 30.014  IEEE2        MEASU:MEAS1:VAL?[I]
 30.015  MATH         NegValue = MEM
 30.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 30.017  ACC          3.800V         L1U
 30.018  MATH         MEM = PosValue - NegValue
 30.019  MEMCX        3.800V         0.076U

 31.001  HEAD         -2 500 mV/div, Position -5 Divs, Offset 0 V
 31.002  TARGET       -p
 31.003  IEEE2        CH[V @Chan]:POS -5;OFFS 0
 31.004  TARGET       -m
 31.005  9500         4.40V                                             S  L
 31.006  MATH         PosAcc = REFACC()
 31.007  WAIT         -t 20 Settling...
 31.008  IEEE2        MEASU:MEAS1:VAL?[I]
 31.009  MATH         PosValue = MEM
 31.010  9500         0.60V                                             S  L
 31.011  MATH         NegAcc = REFACC()
 31.012  WAIT         -t 20 DUT Settling...
 31.013  IEEE2        MEASU:MEAS1:VAL?[I]
 31.014  MATH         NegValue = MEM
 31.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 31.016  ACC          3.800V         L1U
 31.017  MATH         MEM = PosValue - NegValue
 31.018  MEMCX        3.800V         0.076U

 32.001  HEAD         -2 500 mV/div, Position 5 Divs, Offset 0 V
 32.002  TARGET       -p
 32.003  IEEE2        CH[V @Chan]:POS 5;OFFS 0
 32.004  TARGET       -m
 32.005  9500         -0.60V                                            S  L
 32.006  MATH         PosAcc = REFACC()
 32.007  WAIT         -t 20 Settling...
 32.008  IEEE2        MEASU:MEAS1:VAL?[I]
 32.009  MATH         PosValue = MEM
 32.010  9500         -4.40V                                            S  L
 32.011  MATH         NegAcc = REFACC()
 32.012  WAIT         -t 20 DUT Settling...
 32.013  IEEE2        MEASU:MEAS1:VAL?[I]
 32.014  MATH         NegValue = MEM
 32.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 32.016  ACC          3.800V         L1U
 32.017  MATH         MEM = PosValue - NegValue
 32.018  MEMCX        3.800V         0.076U

 33.001  HEAD         -2
 33.002  HEAD
 33.003  9500         *                                                 S
 33.004  END

 33.005  EVAL   Increment step number

# =============== Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500 =========

 34.001  LABEL        DC_OFFSET

 34.002  IF           @Chan == 1
 34.003  RSLT         =
 34.004  RSLT         =DC OFFSET ACCURACY
 34.005  ENDIF

 34.006  RSLT         =
 34.007  RSLT         =Channel [V @Chan]
 34.008  HEAD         DC OFFSET ACCURACY (CH [V @Chan])

 34.009  RSLT         =
 34.010  HEAD         -2{10 mV/div}, Position -5 Divs, Offset 0.45 V
 34.011  TARGET       -p
 34.012  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
 34.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 34.014  IEEE2        ACQ:MODE AVE;NUMAV 16
 34.015  IEEE2        CH[V @Chan]:SCA 10E-3;POS -5;OFFS 0.45
 34.016  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE MEAN;STATE ON
 34.017  9500         500.00mV                                          S  L
 34.018  WAIT         -t 12 DUT Settling...
 34.019  TARGET       -m
 34.020  IEEE2        MEASU:MEAS1:VAL?[I]
 34.021  MATH         MEM = MEM * 1E+3
 34.022  MEMCX        500.00mV       4.25U

 35.001  HEAD         -2 10 mV/div, Position 5 Divs, Offset -0.45 V
 35.002  TARGET       -p
 35.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.45
 35.004  9500         -500.00mV                                         S  L
 35.005  WAIT         -t 12 DUT Settling...
 35.006  TARGET       -m
 35.007  IEEE2        MEASU:MEAS1:VAL?[I]
 35.008  MATH         MEM = MEM * 1E+3
 35.009  MEMCX        -500.00mV      4.25U

 36.001  RSLT         =
 36.002  HEAD         -2{20 mV/div}, Position -5 Divs, Offset 0.4 V
 36.003  TARGET       -p
 36.004  IEEE2        CH[V @Chan]:POS -5;OFFS 0.4;SCA 20E-3
 36.005  9500         500.00mV                                          S  L
 36.006  WAIT         -t 12 DUT Settling...
 36.007  TARGET       -m
 36.008  IEEE2        MEASU:MEAS1:VAL?[I]
 36.009  MATH         MEM = MEM * 1E+3
 36.010  MEMCX        500.00mV       5.25U

 37.001  HEAD         -2 20 mV/div, Position 5 Divs, Offset -0.4 V
 37.002  TARGET       -p
 37.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.4
 37.004  9500         -500.00mV                                         S  L
 37.005  WAIT         -t 12 DUT Settling...
 37.006  TARGET       -m
 37.007  IEEE2        MEASU:MEAS1:VAL?[I]
 37.008  MATH         MEM = MEM * 1E+3
 37.009  MEMCX        -500.00mV      5.25U

 38.001  RSLT         =
 38.002  HEAD         -2{50 mV/div}, Position -5 Divs, Offset 0.25 V
 38.003  TARGET       -p
 38.004  IEEE2        CH[V @Chan]:POS -5;OFFS 0.25;SCA 50E-3
 38.005  9500         500.00mV                                          S  L
 38.006  WAIT         -t 12 DUT Settling...
 38.007  TARGET       -m
 38.008  IEEE2        MEASU:MEAS1:VAL?[I]
 38.009  MATH         MEM = MEM * 1E+3
 38.010  MEMCX        500.00mV       8.25U

 39.001  HEAD         -2 50 mV/div, Position 5 Divs, Offset -0.25 V
 39.002  TARGET       -p
 39.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.25
 39.004  9500         -500.00mV                                         S  L
 39.005  WAIT         -t 12 DUT Settling...
 39.006  TARGET       -m
 39.007  IEEE2        MEASU:MEAS1:VAL?[I]
 39.008  MATH         MEM = MEM * 1E+3
 39.009  MEMCX        -500.00mV      8.25U

 40.001  RSLT         =
 40.002  HEAD         -2{100 mV/div}, Position -5 Divs, Offset 2 V
 40.003  TARGET       -p
 40.004  IEEE2        CH[V @Chan]:POS -5;OFFS 2;SCA 100E-3
 40.005  9500         2.500V                                            S  L
 40.006  WAIT         -t 12 DUT Settling...
 40.007  TARGET       -m
 40.008  IEEE2        MEASU:MEAS1:VAL?[I]
 40.009  MEMCX        2.500V         0.094U

 41.001  HEAD         -2 100 mV/div, Position 5 Divs, Offset -2 V
 41.002  TARGET       -p
 41.003  IEEE2        CH[V @Chan]:POS 5;OFFS -2
 41.004  9500         -2.500V                                           S  L
 41.005  WAIT         -t 12 DUT Settling...
 41.006  TARGET       -m
 41.007  IEEE2        MEASU:MEAS1:VAL?[I]
 41.008  MEMCX        -2.500V        0.094U

 42.001  RSLT         =
 42.002  HEAD         -2{250 mV/div}, Position -5 Divs, Offset 1.25 V
 42.003  TARGET       -p
 42.004  IEEE2        CH[V @Chan]:POS -5;OFFS 1.25;SCA 250E-3
 42.005  9500         2.500V                                            S  L
 42.006  WAIT         -t 12 DUT Settling...
 42.007  TARGET       -m
 42.008  IEEE2        MEASU:MEAS1:VAL?[I]
 42.009  MEMCX        2.500V         0.109U

 43.001  HEAD         -2 250 mV/div, Position 5 Divs, Offset -1.25 V
 43.002  TARGET       -p
 43.003  IEEE2        CH[V @Chan]:POS 5;OFFS -1.25
 43.004  9500         -2.500V                                           S  L
 43.005  WAIT         -t 12 DUT Settling...
 43.006  TARGET       -m
 43.007  IEEE2        MEASU:MEAS1:VAL?[I]
 43.008  MEMCX        -2.500V        0.109U

 44.001  RSLT         =
 44.002  HEAD         -2{500 mV/div}, Position -5 Divs, Offset 0 V
 44.003  TARGET       -p
 44.004  IEEE2        CH[V @Chan]:POS -5;OFFS 0;SCA 500E-3
 44.005  9500         2.500V                                            S  L
 44.006  WAIT         -t 12 DUT Settling...
 44.007  TARGET       -m
 44.008  IEEE2        MEASU:MEAS1:VAL?[I]
 44.009  MEMCX        2.500V         0.134U

 45.001  HEAD         -2 500 mV/div, Position 5 Divs, Offset 0 V
 45.002  TARGET       -p
 45.003  IEEE2        CH[V @Chan]:POS 5;OFFS 0
 45.004  9500         -2.500V                                           S  L
 45.005  WAIT         -t 12 DUT Settling...
 45.006  TARGET       -m
 45.007  IEEE2        MEASU:MEAS1:VAL?[I]
 45.008  MEMCX        -2.500V        0.134U

 46.001  HEAD         -2
 46.002  HEAD
 46.003  9500         *                                                 S
 46.004  END
